/*
This source file is part of the RGBZ Video Camera project published in the paper

  Coherent Spatiotemporal Filtering, Upsampling and Rendering of RGBZ Videos
  Christian Richardt, Carsten Stoll, Neil A. Dodgson, Hans-Peter Seidel, Christian Theobalt
  Computer Graphics Forum (Proceedings of Eurographics), 31(2), May 2012
  <http://www.mpi-inf.mpg.de/resources/rgbz-camera/>

If you use our code, please cite our paper. Thanks.

Copyright (c) 2012 Christian Richardt <christian@richardt.name>


Code licence: GPL v3
----------------------------------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, see <http://www.gnu.org/licenses/>.

$Id: WinnemoellerCombine.frag 537 2012-04-04 15:35:42Z cr333 $
*/
#version 120
#extension GL_EXT_gpu_shader4 : enable

//---- Inputs -------------------------------------------------------------------------------------

// input textures
uniform sampler2D srcSmooth;
uniform sampler2D srcEdges;

//---- Main ---------------------------------------------------------------------------------------
	
void main()
{
	vec4 colSmooth = texture2D(srcSmooth, gl_FragCoord.xy /textureSize2D(srcSmooth, 0));
	vec4 colEdges  = texture2D(srcEdges,  gl_FragCoord.xy /textureSize2D(srcEdges,  0));
	
	gl_FragColor = vec4(colSmooth.xyz * colEdges.x, 1);
}
