﻿/*
This source file is part of the RGBZ Video Camera project published in the paper

  Coherent Spatiotemporal Filtering, Upsampling and Rendering of RGBZ Videos
  Christian Richardt, Carsten Stoll, Neil A. Dodgson, Hans-Peter Seidel, Christian Theobalt
  Computer Graphics Forum (Proceedings of Eurographics), 31(2), May 2012
  <http://www.mpi-inf.mpg.de/resources/rgbz-camera/>

If you use our code, please cite our paper. Thanks.

Copyright (c) 2012 Christian Richardt <christian@richardt.name>


Code licence: GPL v3
----------------------------------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, see <http://www.gnu.org/licenses/>.

$Id: RendererSettings.cs 535 2012-04-04 14:50:13Z cr333 $
*/
using RGBZcamera.Library.Config;

namespace RGBZcamera.Renderer
{
	/// <summary>Encapsulates main settings of the renderer task.</summary>
	public class RendererSettings
	{
		public bool Loop { get; set; }
		public bool ToCache { get; set; }
		public bool FromCache { get; set; }
		public bool SaveRenderings { get; set; }
		public bool DisplayRenderings { get; set; }
		public bool DisplayDebugOutputs { get; set; }

		public ConfigReader Config { get; set; }

		public RendererSettings(ConfigReader config)
		{
			Config = config;

			// default values of options
			Loop                = true;
			ToCache             = false;
			FromCache           = false;
			SaveRenderings      = false;
			DisplayRenderings   = true;
			DisplayDebugOutputs = false;
		}
	}
}
