/*
This source code is part of the Floating Textures test program, which
is a derivative of the complete Floating Textures program containing
the offline version with prereconstructed geometry and prerecorded
video. 
For more information on Floating Textures please have a look at the article

"Floating Textures" 
by M. Eisemann, B. De Decker, M. Magnor, 
P. Bekaert, E. de Aguiar, N. Ahmed, C. Theobalt, A. Sellent
Computer Graphics Forum (Proc. Eurographics EG'08), vol. 27, no. 2, April 2008 


Copyright (C) 2008 Martin Eisemann

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 3 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with 
this program; if not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \file Rgb2gray.frag
 *
 * \brief converts 1-3 color images to gray value images and writes the result to the differen color channels
 */ 

// uniforms //
uniform int numInputs;

uniform sampler2D tex0;
uniform sampler2D tex1;
uniform sampler2D tex2;

// forward declarations //
float rgb2gray(vec4 rgb);

void main()
{
  gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);

  gl_FragColor.x = rgb2gray(texture2D(tex0, gl_TexCoord[0].xy));

  if(numInputs > 1)
    gl_FragColor.y = rgb2gray(texture2D(tex1, gl_TexCoord[0].xy));

  if(numInputs > 2)
    gl_FragColor.z = rgb2gray(texture2D(tex2, gl_TexCoord[0].xy));
  
}
